Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium.condition
Class DefaultConditionRunner.NoOpMonitor

    java.lang.Object
      com.thoughtworks.selenium.condition.DefaultConditionRunner.NoOpMonitor

All Implemented Interfaces:
  DefaultConditionRunner.Monitor

Enclosing class:
  DefaultConditionRunner

    public static final class DefaultConditionRunner.NoOpMonitor

extends java.lang.Object
implements DefaultConditionRunner.Monitor

A no-op implementation of `DefaultConditionRunner.Monitor`.

Constructor Summary
`DefaultConditionRunner.NoOpMonitor()`

Method Summary
`void` | `conditionFailed(ConditionRunner.Context context, Condition condition, java.lang.String message)`
`void` | `conditionWasReached(ConditionRunner.Context context, Condition condition)` Called whenever a `DefaultConditionRunner.waitFor(Condition)` is successful (i.e.
`void` | `waitHasBegun(ConditionRunner.Context context, Condition condition)` Called whenever a `DefaultConditionRunner.waitFor(Condition)` has begun, and is being tracked with the given `condition`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConditionRunner.NoOpMonitor

    public DefaultConditionRunner.NoOpMonitor()

Method Detail

### waitHasBegun

    public void waitHasBegun(ConditionRunner.Context context,
                             Condition condition)

  Description copied from interface: `DefaultConditionRunner.Monitor`
  Called whenever a `DefaultConditionRunner.waitFor(Condition)` has begun, and is being tracked with the given `condition`.

  Specified by:
    `waitHasBegun` in interface `DefaultConditionRunner.Monitor`

### conditionWasReached

    public void conditionWasReached(ConditionRunner.Context context,
                                    Condition condition)

  Description copied from interface: `DefaultConditionRunner.Monitor`
  Called whenever a `DefaultConditionRunner.waitFor(Condition)` is successful (i.e. `Condition.isTrue(com.thoughtworks.selenium.condition.ConditionRunner.Context)` returned true within the timeout}.

  Specified by:
    `conditionWasReached` in interface `DefaultConditionRunner.Monitor`

### conditionFailed

    public void conditionFailed(ConditionRunner.Context context,
                                Condition condition,
                                java.lang.String message)

  Specified by:
    `conditionFailed` in interface `DefaultConditionRunner.Monitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.